#include <bits/stdc++.h>
#include "partition.h"
#define endl '\n'

using namespace std;

const int MAXN = 2 * 1e6;

int n;
vector<int>otg;
double a[MAXN + 5], s;


std::vector<int> solve(std::vector<int> A)
{
    n = A.size();
    s = 0;
    otg.clear();

    for(int i = 0; i < A.size(); i++)
    {
        a[i] = A[i];
    }

    int mid = 0;
    if(n % 2 == 0)mid = n / 2 - 1;
    else mid = n / 2;

    for(int i = 0; i < mid; i++)
    {
        otg.push_back(i);
    }
    otg.push_back(n - 1);

    for(int i = mid; i < n - 1; i++)
    {
        otg.push_back(i);
    }

    return otg;
}
